Send a template message with a video header.
Perfect for course previews, product demonstrations, or any template that includes a video at the top.
Corp JSON
{
"phone": "{{phone}}",
"template_name": "course_preview",
"template_language": "ar",
"components": {
"header": {
"type": "video",
"video": {
"link": "https://example.com/course-preview.mp4"
}
},
"body": [
"دورة البرمجة",
"30 يوم"
]
}
}Exemplu de cerere
curl -X POST "https://letsbot.net/api/v1/template/video" \
-H "Authorization: Bearer YOUR_LB_API_KEY" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"phone": "9665xxxxxxxx",
"template_name": "course_preview",
"template_language": "ar",
"components": {
"header": {
"type": "video",
"video": {
"link": "https://example.com/course-preview.mp4"
}
},
"body": [
"دورة البرمجة",
"30 يوم"
]
}
}'
const response = await fetch("https://letsbot.net/api/v1/template/video", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_LB_API_KEY",
"Accept": "application/json",
"Content-Type": "application/json",
},
body: JSON.stringify({
"phone": "9665xxxxxxxx",
"template_name": "course_preview",
"template_language": "ar",
"components": {
"header": {
"type": "video",
"video": {
"link": "https://example.com/course-preview.mp4"
}
},
"body": [
"دورة البرمجة",
"30 يوم"
]
}
}),
});
const data = await response.json();
console.log(data);
<?php
$ch = curl_init('https://letsbot.net/api/v1/template/video');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'Authorization: Bearer YOUR_LB_API_KEY',
'Accept: application/json',
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => <<<'JSON'
{
"phone": "9665xxxxxxxx",
"template_name": "course_preview",
"template_language": "ar",
"components": {
"header": {
"type": "video",
"video": {
"link": "https://example.com/course-preview.mp4"
}
},
"body": [
"دورة البرمجة",
"30 يوم"
]
}
}
JSON,
]);
$data = json_decode(curl_exec($ch), true);
curl_close($ch);
print_r($data);
import requests
response = requests.request(
"POST",
"https://letsbot.net/api/v1/template/video",
headers={
"Authorization": "Bearer YOUR_LB_API_KEY",
"Accept": "application/json",
"Content-Type": "application/json",
},
json={
"phone": "9665xxxxxxxx",
"template_name": "course_preview",
"template_language": "ar",
"components": {
"header": {
"type": "video",
"video": {
"link": "https://example.com/course-preview.mp4",
},
},
"body": [
"دورة البرمجة",
"30 يوم",
],
},
},
)
print(response.json())